/*
 *      Interactive disassembler (IDA).
 *      Copyright (c) 1990-98 by Ilfak Guilfanov.
 *      ALL RIGHTS RESERVED.
 *                              E-mail: ig@estar.msk.su, ig@datarescue.com
 *                              FIDO:   2:5020/209
 *
 */

#ifndef __INSTRS_HPP
#define __INSTRS_HPP

extern instruc_t Instructions[];

enum nameNum {

	ST6_null = 0,   // Unknown Operation

	ST6_ld,
	ST6_ldi,
	ST6_add,
	ST6_addi,
	ST6_and,
	ST6_andi,
	ST6_clr,
	ST6_com,
	ST6_cp,
	ST6_cpi,
	ST6_dec,
	ST6_inc,
	ST6_rlc,
	ST6_sla,
	ST6_sub,
	ST6_subi,
	ST6_set,
	ST6_res,
	ST6_jrc,
	ST6_jrnc,
	ST6_jrz,
	ST6_jrnz,
	ST6_jrr,
	ST6_jrs,
	ST6_jp,
	ST6_call,
	ST6_ret,
	ST6_reti,
	ST6_nop,
	ST6_stop,
	ST6_wait,
	ST6_last,
};

#endif

